Summary:        The proprietary plugins for chromium
Summary(ja):    Chromium 用プロプライエタリプラグイン
Name:           chromium-extra-plugins
Version:        50.0.2661.94
Release:        1%{?_dist_release}
License:        BSD-3-Clause, LGPL-2.1+
Group:          Applications/Internet

Source0:        https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm
Source1:        https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm

Requires:       chromium >= %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This package includes the proprietary plugins for chromium.

%description -l ja
このパッケージには Chromium 用のプロプライエタリなプラグインが含まれております。

%prep

%build
%ifarch x86_64
rpm2cpio %{SOURCE1} | cpio -idmv
%else
rpm2cpio %{SOURCE0} | cpio -idmv
%endif


%install
mkdir -p %{buildroot}%{_libdir}/chromium/PepperFlash/
install -m644 opt/google/chrome/PepperFlash/* %{buildroot}%{_libdir}/chromium/PepperFlash/ 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/chromium/PepperFlash/

%changelog
* Tue May 03 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 50.0.2661.94-1
- new upstream release

* Sun Apr 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 50.0.2661.87-1
- new upstream release

* Mon Mar 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 49.0.2623.108-1
- new upstream release

* Sun Feb 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.109-1
- new upstream release

* Sat Feb 06 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.103-1
- new upstream release

* Thu Jan 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.97-1
- new upstream release

* Sat Jan 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.82-1
- new upstream release

* Thu Dec 17 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.106-1
- new upstream release

* Tue Dec 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.80-1
- new upstream release

* Fri Dec 04 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.73-1
- new upstream release

* Thu Nov 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.86-1
- new upstream release

* Sat Oct 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.80-1
- new upstream release

* Mon Oct 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.71-1
- new upstream release

* Fri Oct 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.2454.101-1
- new upstream release

* Wed Sep 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.2454.85-1
- new upstream release

* Sun Aug 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.157-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.155-1
- new upstream release

* Sun Aug 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.130-1
- new upstream release

* Sat Aug 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.125-1
- new upstream release

* Mon Jul 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.134-1
- new upstream release

* Thu Jul 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.132-1
- new upstream release

* Sun Jun 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.130-1
- new upstream release

* Sun Jun 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.124-1
- new upstream release

* Sun May 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.81-1
- new upstream release

* Wed May 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.65-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 42.0.2311.135-1
- initial release for Vine Linux

